Subject: Ticket Assigned - Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call?
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 28 May 2021 16:29:46 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call? Feedback for:  I have other questions about returns, refunds and cancellations. Who can I call? Case not resolved - Case nb 2606716, kindly note full items refunded in good condition with tags and wrap in plastic as previously email and discussed- amount to be refunded is 166.75 aed and not 123.37 aed ( including credit) kindly do necessary , as a gap of 43.38 aed should be added to the refund - order nb 9658938874. - again if u deny the refund please send me a detail bill with VAT to follow up with DED as a consumer right pls provide me bill ASAP thank u https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2620275